header {
    position: absolute;
    top: 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    z-index: 9;
}

header > nav {
    background: var(--black-transparent);
    display: flow;
}

.print-logo {
    display: none;
}

nav > .navTop .navMain {
    position: relative;
    display: block;
    width: 100%;
}

nav > .navTop {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 60px;
    padding: 0;
    z-index: 9;
}

nav > .navTop .header {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    background: var(--background-black);
    width: 100%;
    height: 60px;
    padding: 0rem;
}

nav > .navTop a.logo {
    padding: 0 .25rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

nav > .navTop a.logo:before {
    content: '';
    height: 60px;
    width: 100px;
    background: url('../images/logo.svg') center / contain no-repeat;
}

#burgerMenu {
    display: none;
}

nav > .navTop .header > ul {
    background: var(--background-black);
    width: calc(100% + 1rem);
    top: -100vh;
    margin: 0;
    padding: 0;
    list-style: none;
    position: absolute;
    display: block;
    height: auto;
    left: -1rem;
    box-shadow: var(--box-shadow);
}

nav > .navTop .header > #burgerMenu:checked ~ ul {
    max-height: calc(100vh - 60px);
    top: 60px;
}

nav > .navTop .header ul > li {
    position: relative;
    border-bottom: var(--border-dark);
    color: var(--black);
    max-height: 58px;
    padding: 0 1rem;
}

nav > .navTop .header ul > li:last-child {
    border: none;
}

nav > .navTop .header ul > li.icon {
    top: 2px;
}

nav > .navTop .header ul > li *.icon:before {
    content: '';
    height: 24px;
    width: 24px;
    top: -2px;
    min-width: 24px;
    background: var(--background-white);
    position: relative;
    display: inline-block;
    vertical-align: middle;
    margin: 0 0.5em 0 0;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-position: center;
    mask-position: center;
}

nav > .navTop .header ul > li label {
    background: transparent;
    width: 100%;
    margin: 0;
    position: absolute;
    z-index: 1;
    top: 0;
    text-align: right;
    padding: 1rem .25rem 1rem 1rem;
}

nav > .navTop .header ul > li label.icon.arrow {
    left: 5px;
}

nav > .navTop .header ul > li label:before {
    position: relative;
    display: block;
    content: '';
    width: 16px;
    height: 1.25em;
    -webkit-mask-image: url(../images/singlearrow.svg);
    mask-image: url(../images/singlearrow.svg);
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    mask-position: right;
    background-repeat: no-repeat;
    background-color: var(--primary);
    transition: background-image .1s;
    -webkit-mask-size: contain;
    -webkit-mask-position: center;
    rotate: -90deg;
}

nav > .navTop .header ul > li input:checked ~ label:before {
    rotate: 90deg;
}

@media (prefers-color-scheme: dark) {
    nav > .navTop .header ul > li *.icon:before {
        background: var(--background-white);
    }
}

nav > .navTop .header ul > li *.icon.user:before,
nav > .navTop .header ul > li *.icon.user-data:before {
    -webkit-mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/images/icons/user.svg);
    mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/images/icons/user.svg);
    background: var(--background-white);
}

nav > .navTop .header ul > li *.icon.user.highlighted:before {
    background: var(--background-white);
}

nav > .navTop .header ul > li > *.icon.login:before {
    -webkit-mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/images/icons/login.svg);
    mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/images/icons/login.svg);
}

nav > .navTop .header ul > li > *.icon.logout:before {
    -webkit-mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/images/icons/logout.svg);
    mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/images/icons/logout.svg);
}

nav > .navTop .header ul > li > * {
    position: relative;
    display: inline-block;
    padding: 1rem;
    line-height: 1.5rem;
}

nav > .navTop .header ul > li > a {
    text-decoration: none;
    color: var(--background-white);
}

nav > .navTop .header ul > li > input {
    display: none;
}

nav > .navTop .header ul li > ul {
    background: var(--background-black);
    padding: 0;
    width: calc(100% + 2rem);
    left: -1rem;
    font-size: 1.25rem;
    height: 0;
    overflow: hidden;
}

nav > .navTop .header ul li > input:checked ~ ul {
    height: auto;
    margin: 0 0 -.5rem 0;
}

nav > .navTop .header ul li > ul li {
    display: block;
    font-size: 1rem;
    margin: 0 1rem;
}

nav > .navTop .header ul li > ul li > a {
    position: relative;
    display: block;
    min-width: 100%;
    line-height: 1.5rem;
    font-size: 1rem;
    color: var(--background-white);
}

nav > .navTop .header ul > li > .subMenu h2:after {
    content: '';
    height: 16px;
    width: 16px;
    min-width: 16px;
    background: var(--white);
    position: relative;
    display: inline-block;
    vertical-align: middle;
    top: .5rem;
    margin: 0 0 0 .25rem;
    float: right;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-position: center;
    mask-position: center;
    background: var(--black);
    -webkit-mask-size: 100%;
    mask-size: 100%;
    -webkit-mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/images/icons/triangle-down-fill.svg);
    mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/images/icons/triangle-down-fill.svg);
    transition: .3s;
}

nav > .navTop .header ul li > input:checked ~ .subMenu h2:after {
    transform: rotate(180deg);
}

nav > .navTop .header > .user {
    position: relative;
    display: inline-flex;
    flex-direction: row;
    align-items: center;
    height: 60px;
    padding: 0 0 0 1rem;
}

nav > .navTop .header label.burgerMenu {
    padding: .5rem 0 .5rem .5rem;
    margin: 0;
}

nav > .navTop .header > #burgerMenu:checked ~ .burgerMenu {
    padding: .5rem;
}

nav > .navTop .header .burgerMenu:before {
    content: '';
    cursor: pointer;
    height: 24px;
    width: 24px;
    min-width: 24px;
    background: var(--white);
    position: relative;
    display: inline-block;
    vertical-align: middle;
    margin: 0 .5rem 0 0;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-position: center;
    mask-position: center;
    background: var(--background-white);
    -webkit-mask-size: 100%;
    mask-size: 100%;
    -webkit-mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/images/icons/bars-solid.svg);
    mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/images/icons/bars-solid.svg);
}

nav > .navTop .header > #burgerMenu:checked ~ .burgerMenu:before {
    background: var(--background-white);
    -webkit-mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/images/icons/close.svg);
    mask-image: url(https://mediagroup-central.s3.eu-central-1.amazonaws.com/images/icons/close.svg);
    margin: 0;
}

nav > .navTop .header > ul li > label.subMenu {
    cursor: pointer;
}

nav > .navTop .header > ul li > label h2 {
    margin: 0;
    line-height: 2.25rem;
    font-size: 1rem;
}

@media (max-width: 767px) {
    nav > .navTop .header > .user {
        right: -1.5rem;
    }

    nav > .navTop .header > .user > m-button {
        background: transparent;
        height: 60px;
        width: 42px;
        min-width: calc(42px + 1rem);
        border-radius: 0;
        padding: 7px 0;
    }

    nav > .navTop .header > .user > m-button:hover {
        box-shadow: none;
    }

    nav > .navTop .header > .user > m-button:before {
        content: "";
        display: block;
        height: 42px;
        width: 42px;
        margin: 2px 0 0 0;
        -webkit-mask-repeat: no-repeat;
        mask-repeat: no-repeat;
        -webkit-mask-size: 30px;
        mask-size: 36px;
        -webkit-mask-position: center;
        mask-position: center;
        background: var(--background-white);
    }

    nav > .navTop .header > .user > m-button.logout:before {
        -webkit-mask-image: url('/image/logout.svg');
        mask-image: url('/image/logout.svg');
    }

    nav > .navTop .header > .user > m-button.login:before {
        -webkit-mask-image: url('/image/login.svg');
        mask-image: url('/image/login.svg');
    }

    nav > .navTop .header > .user > m-button {
        font-size: 0;
    }

    nav > .navTop .header > .user span.userName {
        position: relative;
        overflow: hidden;
        text-align: right;
        text-overflow: ellipsis;
        white-space: nowrap;
        width: 215px;
        color: #fff;
        font-weight: 600;
        margin: 0 0.5rem 0 0;
    }
}

@media (min-width: 1400px) {
    header > nav {
        background: transparent;
    }

    nav > .navTop {
        display: flow;
        padding: 0;
        height: auto;
        background: transparent;
    }

    nav > .navTop .header {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-content: center;
        align-items: center;
        width: var(--max-content-width);
        max-width: 100%;
        height: 100%;
        margin: 0 auto;
        position: relative;
        grid-column-gap: 1rem;
        background: transparent;
        padding: 0;
    }

    nav > .navTop .header > .user span.userName {
        position: relative;
        color: var(--black);
        font-weight: 600;
        margin: 0 0.5rem 0 0;
    }

    nav > .navTop .navMain {
        height: 120px;
        padding: 0 1rem;
    }

    nav > .navTop a.logo:before {
        height: 100px;
        width: 200px;
        background-image: url('../images/logo.svg');
    }

    nav > .navTop .header > ul {
        position: relative;
        display: inline-flex;
        top: 0;
        flex-direction: row;
        align-items: center;
        margin: 0 0 0 4rem;
        height: 60px;
        background: transparent;
        column-gap: 2rem;
        box-shadow: none;
        justify-content: flex-end;
    }

    nav > .navTop .header > #burgerMenu:checked ~ ul {
        top: 0;
        max-height: 60px;
    }

    nav > .navTop .header > ul li {
        position: relative;
        display: inline-block;
        border: none;
    }

    nav > .navTop .header > ul li:nth-last-child(2) {
        margin: 0 0 0 auto;
    }

    nav > .navTop .header > ul li > a {
        padding: .5rem 1rem;
        margin: 0;
        cursor: pointer;
        height: 3rem;
        line-height: 2rem;
        font-size: 1.25rem;
        color: var(--background-white);
    }

    nav > .navTop .header > ul > li > a {
        border-radius: var(--border-radius);
        transition: background-color .5s;
    }

    nav > .navTop .header > ul > li > a:hover {
        background: var(--black-transparent);
    }

    nav > .navTop .header > ul li > a.highlighted {
        background: var(--primary);
        border-radius: var(--border-radius);
        font-size: 1rem;
        padding: 1rem;
        line-height: 1rem;
        font-weight: 600;
        transition: background-color .5s;
    }

    nav > .navTop .header > ul li > a.highlighted:hover {
        background: var(--dark-primary);
    }

    @media (prefers-color-scheme: dark) {
        nav > .navTop .header ul > li.sso .user.icon.highlighted:hover,
        nav > .navTop .header > ul li > a.highlighted:hover {
            background: var(--light-primary) !important;
        }
    }

    nav > .navTop .header ul > li {
        padding: 0;
    }

    nav > .navTop .header ul > li *.icon:before {
        background: var(--black);
    }

    nav > .navTop .header > ul > li input ~ a {
        padding: .5rem 0 .5rem 1rem;
    }

    nav > .navTop .header ul li > input:checked ~ ul {
        height: 0;
    }

    nav > .navTop .header > ul li > label.subMenu {
        padding: .5rem;
    }

    nav > .navTop .header ul > li > .subMenu h2:after {
        top: .5rem;
    }

    nav > .navTop .header ul li > ul {
        position: absolute;
        width: fit-content;
        max-width: fit-content;
        top: 3rem;
        left: auto;
        margin: .5rem 0 0 0;
        right: 0;
        z-index: 1;
        padding: 0;
        background: var(--light-gray);
        box-shadow: var(--box-shadow);
        overflow: visible;
    }

    nav > .navTop .header ul li:hover > ul:before {
        content: "";
        width: 0;
        height: 0;
        -webkit-transform: rotate(360deg);
        border-style: solid;
        border-width: 0 1rem 1.125rem 1rem;
        border-color: transparent transparent var(--light-gray) transparent;
        position: absolute;
        top: -.5rem;
        overflow: visible;
        left: 50%;
    }

    nav > .navTop .header ul li > ul li {
        padding: 0;
        margin: 0;
    }

    nav > .navTop .header ul li > ul li > a {
        line-height: initial;
        height: auto;
        padding: 1rem;
    }

    nav > .navTop .header ul > li.sso .user.icon:before {
        margin: 0;
        padding: .5rem;
        margin-right: 10px;
    }

    nav > .navTop .header ul > li.sso .user.icon {
        padding: .5rem .75rem;
        background: var(--gray);
        border-radius: var(--border-radius);
        transition: background-color .5s;
    }

    nav > .navTop .header ul > li.sso .user.icon:not(.highlighted):hover {
        background: var(--light-gray-fild-border);
        color: var(--background-black);
    }

    nav > .navTop .header ul > li *.icon.user:not(.highlighted):hover:before {
        background: var(--background-black);
    }

    nav > .navTop .header ul > li.sso a {
        color: var(--black);
    }

    nav > .navTop .header ul > li.sso a:hover {
        background: var(--light-gray-fild-border);
    }

    nav > .navTop .header ul > li.sso ul li:first-of-type a:hover {
        border-top-left-radius: var(--border-radius);
        border-top-right-radius: var(--border-radius);
    }

    nav > .navTop .header ul > li.sso ul li:last-of-type a:hover {
        border-bottom-left-radius: var(--border-radius);
        border-bottom-right-radius: var(--border-radius);
    }

    @media (prefers-color-scheme: dark) {
        nav > .navTop .header ul > li.sso ul li a:hover {
            color: var(--background-black) !important;
        }

        nav > .navTop .header ul > li.sso ul li a:hover:before {
            background: var(--background-black);
        }
    }

    nav > .navTop .header ul > li.sso .highlighted {
        color: var(--background-white);
    }

    nav > .navTop .header ul > li.sso .user.icon {
        font-size: 1rem;
    }

    nav > .navTop .header ul > li.sso .user.icon.highlighted {
        background: var(--primary);
        line-height: 2.2rem;
    }

    nav > .navTop .header ul > li.sso .user.icon.highlighted:hover {
        background: var(--dark-primary);
    }

    nav > .navTop .header ul > li.sso .user.icon.highlighted .icon-text {
        position: relative;
        display: block;
        float: right;
        top: -1px;
        max-width: 160px;
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
    }

    nav > .navTop .header ul > li *.icon.user:before,
    nav > .navTop .header ul > li *.icon.user-data:before {
        background: var(--black);
    }

    nav > .navTop .header ul > li.sso ul.sub_menu {
        opacity: 0;
    }

    nav > .navTop .header ul > li.sso:hover ul.sub_menu {
        opacity: 1;
        height: max-content;
        border-radius: var(--border-radius);
    }

    nav > .navTop .header ul > li.sso:hover ul.sub_menu a {
        min-width: max-content;
        color: var(--black);
        border-bottom: 1px solid var(--gray);
    }

    nav > .navTop .header ul > li.sso:hover ul.sub_menu li:last-child a {
        border: none;
    }

    nav > .navTop .header ul > li label {
        display: none;
    }

    nav > .navTop .header label.burgerMenu {
        display: none;
    }
}

@media (min-width: 1720px) {

}

@media (max-width: 320px) {
    nav > .navTop .header > .user span.userName {
        font-size: 16px;
        width: 160px;
    }
}